---
title: RTCIceCandidateStats.localCandidateId
slug: Web/API/RTCIceCandidatePairStats/localCandidateId
tags:
  - API
  - Candidate
  - Connection
  - Connectivity
  - ICE
  - Networking
  - Property
  - RTCIceCandidatePairStats
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - local
  - localCandidateId
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} property <strong><code>localCandidateId</code></strong> is a string that uniquely identifies the local {{Glossary("ICE")}} candidate which was analyzed to generate the {{domxref("RTCIceCandidateStats")}} used to compute the statistics for this pair of candidates.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>localCandidateId</em> = <em>rtcIceCandidatePairStats</em>.localCandidateId;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} giving a unique identifier for the local {{domxref("RTCIceCandidate")}} for the connection described by this <code>RTCIceCandidatePairStats</code> object.</p>

<p>This candidate is the source of one of the two {{domxref("RTCIceCandidateStats")}} objects that were used to compute the contents of this {{domxref("RTCIceCandidatePairStats")}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-localcandidateid', 'RTCIceCandidatePairStats.localCandidateId') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.localCandidateId")}}</p>
